#
# spec file for package azure-cli-nspkg
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           azure-cli-nspkg
Version:        3.0.2
Release:        lp151.2.3.1
Summary:        Microsoft Azure CLI Namespace Package
License:        MIT
Group:          System/Management
Url:            https://github.com/Azure/azure-cli
Source:         https://files.pythonhosted.org/packages/source/a/azure-cli-nspkg/azure-cli-nspkg-%{version}.tar.gz
Source1:        LICENSE.txt
BuildRequires:  python3-azure-nspkg
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  unzip
Requires:       python3-azure-nspkg
Conflicts:      azure-cli < 2.0.0

BuildArch:      noarch

%description
Microsoft Azure CLI Namespace Package

This is the Microsoft Azure CLI namespace package.

This package is not intended to be installed directly by the end user.

It provides the necessary files for other packages to extend the azure cli namespaces.

%prep
%setup -q -n azure-cli-nspkg-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-cli-nspkg-%{version}
python3 setup.py build

%install
python3 setup.py install --root=%{buildroot} --prefix=%{_prefix} --install-lib=%{python3_sitelib}

%files
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/azure/cli
%{python3_sitelib}/azure_cli_nspkg-*.egg-info

%changelog
* Mon Mar 23 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update in SLE-15 (bsc#1140565, jsc#ECO-1257, jsc#PM-1598)
* Fri Apr 20 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 3.0.2
- Move LICENSE.txt from %%doc to %%license section
* Wed Sep 27 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 3.0.1
